## List Jobs

### cURL

```
curl --request GET \
  --url https://api.m3ter.com/organizations/{orgId}/dataexports/jobs \
  --header 'Authorization: Bearer <token>'
```

### Python

```
import requests

url = "https://api.m3ter.com/organizations/{orgId}/dataexports/jobs"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
```

### JavaScript

```
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.m3ter.com/organizations/{orgId}/dataexports/jobs', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));
```

### PHP

```


```

### Response Codes

- **200**
- **4XX**
- **5XX**

### Example JSON Response

```
{
  "data": [\
    {\
      "id": "<string>",\
      "version": 123,\
      "scheduleId": "<string>",\
      "startedAt": "2023-11-07T05:31:56Z",\
      "dateCreated": "2023-11-07T05:31:56Z",\
      "sourceType": "<unknown>",\
      "status": "<unknown>"\
    }\
  ],
  "nextToken": "<string>"
}
```

```
{
  "message": "<string>"
}
```

```
{
  "message": "<string>"
}
```

### Authorizations

- **Authorization**  
  string  
  header  
  required

m3ter supports machine to machine authentication using the `clientCredentials` OAuth2 flow.

### Path Parameters

- **orgId**  
  string  
  required  
  UUID of the organization

### Query Parameters

- **ids**  
  string  
  List Job entities for the given UUIDs
- **scheduleId**  
  string  
  List Job entities for the schedule UUID
- **status**  
  enum<string>  
  List Job entities for the status
  
  Available options:
  
  `PENDING`, `RUNNING`, `SUCCEEDED`, `FAILED`
- **dateCreatedStart**  
  string  
  Include only Job entities created on or after this date. Format: yyyy-MM-dd'T'HH:mm:ss'Z'
- **dateCreatedEnd**  
  string  
  Include only Job entities created before this date. Format: yyyy-MM-dd'T'HH:mm:ss'Z'
- **pageSize**  
  integer<int32>  
  Number of Jobs to retrieve per page
  Required range: `1 <= x <= 100`
- **nextToken**  
  string  
  nextToken for multi-page retrievals

### Response

- **200**  
  - application/json  
  Returns a list of Export Job entities
  
  - **data**  
    object[]  
    Show child attributes
